> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v1/integration/document-inputs.md).

# Document Inputs

## Documents in Mindee

Documents used in Mindee include semi-structured files such as an invoice, receipt, ID document, W9-forms, train-ticket etc.

## File Types

Our APIs support different types of documents in different format ranging from images (JPG, PNG, WEBP, TIFF, HEIC) to scanned PDF or native PDF. When using PDF files or images, a maximum number of pages and file size is enforced depending on the document parsing API used.

See [Technical limitations](/v1/integration/limitations.md) for more information.

## Payload Formats

We currently support three different payload formats when sending your document to our APIs:

* a **binary file**: via `multipart/form-data` encoding
* a **base64**: encoded document via `application/json` encoding
* a **public URL**: via `HTTPS`

## Working with Images

When it comes to images, our APIs have a quicker upload and processing time.

### Supported Filetypes

We currently support `.jpg`,`.png`, `.webp`, `.tiff` and `.heic` format.

{% hint style="info" %}
If you want faster processing, then images is a better option compared to PDFs. However, using PDFs works just as fine and will give accurate results as well.
{% endhint %}

### Tips for Working With Images

* **Reduce very heavy or big images**: For faster upload and processing, downscale heavy and large images. However, resizing the image too much will make it impossible to read, as the text will get very small. The rule of thumb is that big images should be resized close to 3 megapixels.
* **Do not upscale**: Never upscale a low-resolution image on your side! This will decrease the algorithm accuracy. It is best to avoid very low-resolution images, if possible.
* **Keep the aspect ratio**: Never change the original aspect ratio.
* **Do not preprocess images**: It is not necessary to transform your image in black and white or change brightness/contrast.
* **Limitations**: There is a maximum number of images you can send, check the [Technical limitations](/v1/integration/limitations.md) for more information.

## Working with PDFs

Our APIs support multi-page PDF files. However, the processing time may be longer compared to image processing, because we need to convert the PDF to image first.

### Tips for Working With PDFs

* **Use native pdf**: Native PDFs are easier to process and has a higher performance and accuracy rate than scanned PDF.
* **Working with several pages**: Your PDF may contain several pages. In this scenario, you will receive both predictions at the page level and at the document level.
* **Using the cutPdf option**: cutPDF is available when using the SDKs. This option is used when sending multi pages pdf of more than 5 pages.
* **Limitations**: There is a maximum number of pages you can send, check the [Technical limitations](/v1/integration/limitations.md) for more information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/v1/integration/document-inputs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
